{
  "name": "control-server-assets",
  "version": "1.0.0",
  "description": "Assets of the FJSSP Control Server",
  "scripts": {
    "test": "echo \"Error: no test specified\" && exit 1",
    "env": "env",

    "lint": "$(npm bin)/jshint build-temp.js",
    "prelint": "npm run concatjs",
    "concatjs": "$(npm bin)/import js/main.js > build-temp.js",
    "js": "$(npm bin)/uglifyjs build-temp.js --compress -o ../static/app.js",
    "prejs": "npm run lint && npm run concatjs",
    "postjs": "npm run cleantemp",

    "prejs-dev": "npm run prejs",
    "js-dev": "mv build-temp.js ../static/app.js",

    "sass-dev": "sassc sass/main.scss ../static/app.css",
	"sass": "sassc sass/main.scss ../static/app.css --style compressed",

    "clean": "rm -f ../static/app.js ../static/app.css && npm run cleantemp",
    "cleantemp": "rm -f build-temp.js",

    "build": "npm run js && npm run sass",
    "build-dev": "npm run js-dev && npm run sass-dev"
  },
  "jshintConfig": {
    "strict": true
  },
  "author": "Andreas Schmitz",
  "license": "MIT",
  "devDependencies": {
    "import": "0.0.6",
    "jshint": "^2.9.4",
    "uglify-js": "^2.7.4"
  }
}
